Bug 11456 - [rpm-3.1] rpmrc.in - typo & request for IBM S/390 architecture
[rpm-3.1] rpmrc.in - typo & request for IBM S/390 architecture
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-05-16 17:39 EDT by Michael Andres
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-20 09:21:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to fix typo and add s390 architecture (1.64 KB, patch)
2000-05-16 17:43 EDT, Michael Andres
no flags Details | Diff

  None (edit)
Description Michael Andres 2000-05-16 17:39:30 EDT
File: rpmrc.in
   Repository revision: 2.20    /cvs/devel/rpm/rpmrc.in,v

a) There's a typo in the one but last line of rpmrc.in

-buildarch_compat: ia64: ia64 moarch
+buildarch_compat: ia64: ia64 noarch

b) I'd like to ask for support of the IBM S/390 architecture in

optflags: s390 -O2 -fomit-frame-pointer
arch_canon:     s390: s390      16
buildarchtranslate: s390: s390
arch_compat: s390: noarch
buildarch_compat: s390: noarch

Comment 1 Michael Andres 2000-05-16 17:43:59 EDT
Created attachment 246 [details]
patch to fix typo and add s390 architecture
Comment 2 Jeff Johnson 2000-06-03 14:53:33 EDT
1) Typo fixed, thanks.

2) I believe there already is support for S/390

	arch_canon:     i370: i370      14
	arch_canon:     i390: i390      15

or is this actually a different beastie (please send me the output of uname -a
on the platform so I can verify that the arch will be autodetected) ?
Comment 3 Michael Andres 2000-06-20 09:21:26 EDT
Obviously it's the name that caused some confusion. IBM calls it 'i370' but
's390'. And 's390' is the architecture name used in the kernel subtree, gcc,
glibc, binutils, etc. 

The ones who sent me the patch didn't recognize, that 'i390' in rpmrc is, what
they call 's390'. But maybe you'd like to support 's390' as arch name as well,
but there's probabely no need for a different number. 

# uname -a
Linux s390z1 2.2.14 #13 SMP Mon Mar 20 14:03:30 EST 2000 s390 unknown
Comment 4 Jeff Johnson 2000-06-21 19:47:07 EDT
Fixed in rpm-4.0-0.43 and rpm-3.0.5-0.4. Thanks for the explanation, I think
I got it right, but only IBM knows for sure ...
Comment 5 Michael Andres 2000-06-27 07:28:27 EDT
Sorry to bother you once more, but I finally found someone at IBM to ask.
I was told, that the i370 and s390 were not compatible, you can neither 
run i370 binaries on s390, nor vice versa.

Thus it should be 'arch_compat: s390: noarch'.


Note You need to log in before you can comment on or make changes to this bug.